
;--------------------------------------------------------------------------;
; Cursor_off - Turns the cursor off.                                       ;
;--------------------------------------------------------------------------;

        ASSUME  CS:_TEXT
_TEXT   SEGMENT BYTE    PUBLIC  'CODE'
        PUBLIC  _CURSOR_OFF
_CURSOR_OFF     PROC    NEAR
        PUSH    BP
        MOV     BP,SP
        PUSH    DI
        PUSH    SI
        PUSH    DS
        PUSH    ES

        XOR     AL,AL
        MOV     CH,32
        XOR     CL,CL

        MOV     AH,1                    ;Service 1, Move cursor
        INT     10h

        POP     ES
        POP     DS
        POP     SI
        POP     DI
        POP     BP
        RET
_CURSOR_OFF      ENDP


        PUBLIC  _CURSOR_ON
_CURSOR_ON      PROC    NEAR
        PUSH    BP
        MOV     BP,SP
        PUSH    DI
        PUSH    SI
        PUSH    DS
        PUSH    ES

        XOR     AL,AL
        MOV     CH,6
        MOV     CL,7

        MOV     AH,1                    ;Service 1, set cursor size
        INT     10h

        POP     ES
        POP     DS
        POP     SI
        POP     DI
        POP     BP
        RET
_CURSOR_ON      ENDP

_TEXT   ENDS
        END

